Extending Qt Creator Manual | DeviceManagerModel

Extending Qt Creator Manual 4.5.2

# DeviceManagerModel Class

(ProjectExplorer::DeviceManagerModel)

- List of all members, including inherited members

## Public Functions

| DeviceManagerModel(const DeviceManager *deviceManager, QObject *parent = 0)
| ~DeviceManagerModel() override
IDevice::ConstPtr | device(int pos) const
Core::Id | deviceId(int pos) const
int | indexForId(Core::Id id) const
int | indexOf(IDevice::ConstPtr dev) const
int | rowCount(const QModelIndex &parent = QModelIndex()) const override
void | setFilter(const QList<Core::Id> &filter)
void | setTypeFilter(Core::Id type)
void | updateDevice(Core::Id id)

## Member Function Documentation

### DeviceManagerModel::DeviceManagerModel(const DeviceManager *deviceManager, QObject *parent = 0)

Default constructs an instance of DeviceManagerModel.

### DeviceManagerModel::~DeviceManagerModel()

Destroys the instance of DeviceManagerModel.

### IDevice::ConstPtr DeviceManagerModel::device(int pos) const

### Core::Id DeviceManagerModel::deviceId(int pos) const

### int DeviceManagerModel::indexForId(Core::Id id) const

### int DeviceManagerModel::indexOf(IDevice::ConstPtr dev) const

### int DeviceManagerModel::rowCount(const QModelIndex &parent = QModelIndex()) const

### void DeviceManagerModel::setFilter(const QList<Core::Id> &filter)

### void DeviceManagerModel::setTypeFilter(Core::Id type)

### void DeviceManagerModel::updateDevice(Core::Id id)